javax.websocket

## Class DeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.DeploymentException

- All Implemented Interfaces:
    Serializable

      public class DeploymentException
      extends Exception

  Checked exception indicating some kind of failure either to publish an endpoint on its server, or a failure to connect a client to its server.
  Author:
    dannycoward
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentException(String message)` Creates a deployment exception with the given reason for the deployment failure.
    `DeploymentException(String message, Throwable cause)` Creates a deployment exception with the given reason for the deployment failure and wrapped cause of the failure.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentException

          public DeploymentException(String message)

      Creates a deployment exception with the given reason for the deployment failure.
      Parameters:
        `message` - the reason for the failure.

    - #### DeploymentException

          public DeploymentException(String message,
                             Throwable cause)

      Creates a deployment exception with the given reason for the deployment failure and wrapped cause of the failure.
      Parameters:
        `message` - the reason for the failure.
        `cause` - the cause of the problem.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.